/* ---------------------------------------

# S-Studenter

----------------------------------------- */

html:has(.sv-theme-s-studenter) {
   width: 100dvw;
   overflow-x:hidden;
}

.sv-theme-s-studenter {
    padding-top: 0 !important;
}

/* Css */
.ss-desktop-mobile-flex img {
   min-width: 150px;
}
@media(max-width: 767px) {
   .ss-desktop-mobile-flex {
      display: flex;
      flex-direction: column-reverse;
      align-items: center;
      text-align: center;
   }
   .ss-desktop-mobile-flex img {
      margin-bottom: 3rem;
   }

}
@media(min-width: 768px) {
   .ss-desktop-mobile-flex {
      display: flex;
      
   }
   .ss-desktop-mobile-flex > div:first-child {
      flex-grow: 1;
   }
   .ss-desktop-mobile-flex .sv-image-portlet {
      display: flex;
      justify-content: center;
      width: 100%;
   }
}

/* Grid */ 

.sos-grid__standard,
.sv-grid-s-studenter {
   box-sizing: border-box;
   padding: 0 1rem;
}

/* Menu */
.sv-theme-s-studenter .sv-marketplace-sitevision-main-menu {

}

.sv-theme-s-studenter .sv-marketplace-sitevision-main-menu .env-nav--menubar.env-nav--border .env-nav__link {
   min-height: 1.5em;
   font-family: var(--env-ui-text-heading-font-family);
   font-size: 1.5em;
   padding: 0.25em 0.5em;
   border-width: 3px;
}

.sv-theme-s-studenter header .env-button {
   color: var(--env-ui-color-brand);
}

.sv-theme-s-studenter .sos-overlay--menu {
   padding-top: var(--env-spacing-xx-large);
}

/* Buttons */
.sv-theme-s-studenter .env-button.env-button--link[download] {
   padding: 0;
}
.sv-theme-s-studenter .env-button[download]:before {
   content: "";
   width: 1.5rem;
   height: 1.5rem;
   background-color: var(--env-font-color);
   mask-image: url('/images/18.394a338c1946521d3dc99dd3/1738230347014/arrow-down.svg');
   mask-position: center;
   mask-repeat: no-repeat;
   mask-size: 100%;
   margin-right: 0.8rem;
}

.sv-theme-s-studenter .env-button[download]:hover:before {
   text-decoration: underline;
   animation: 2s 2 alternate up-then-down;
}

@keyframes up-then-down {
  0% {
    transform: translateY(0px);
  }
  50% {
    transform: translateY(-3px);
  }
  100% {
     transform: translateY(3px);
  }
}

/* Hero */

.ss-hero-title {
   display: block;
   font-size: 9dvw;
   color: #fff;
   text-shadow: -4px 4px 0px #000000;
   margin-top: -90px;
}
   
.ss-hero-title--large {
   display: block;
   font-size: 150%;
   margin-top: -2.5%;
}
@media(min-width: 1024px ) {
   .ss-hero-title {
      font-size: 74px;
   }
}

/* Puffmeny */

.sv-theme-s-studenter  .sv-marketplace-sitevision-teaser-menu li a img {
   width: 150px;
   height: 150px;
   margin-bottom: 1rem;
}
.sv-theme-s-studenter  .sv-marketplace-sitevision-teaser-menu li a h3,
.sv-theme-s-studenter  .sv-marketplace-sitevision-teaser-menu li a h2 {
   font-size: 46px;
   line-height: 1;
}

.sv-theme-s-studenter .sv-marketplace-sitevision-teaser-menu p {
   font-size: 1rem;
   margin-bottom: 2rem;
}

.sv-theme-s-studenter .sv-marketplace-sitevision-teaser-menu svg.env-icon,
.sv-theme-s-studenter .sv-marketplace-sitevision-teaser-menu svg.env-icon {
   margin-top: 1rem;
   right: 1.5rem !important;
   bottom: 1.5rem !important;
}

/* Breadcrumbs */
.sv-theme-s-studenter .sos-breadcrumbs {
   margin-top: 1rem;
}

/* buttons */
.sv-theme-s-studenter .env-button {
	text-transform: uppercase;
   font-weight: 500;
}

/* Typography */

.sv-theme-s-studenter .pagecontent .sv-text-portlet p.normal {
   max-width: 650px;
   margin-left: auto;
   margin-right: auto;
}
.sv-theme-s-studenter .heading, 
.sv-theme-s-studenter .subheading, 
.sv-theme-s-studenter .subheading3 {
   font-family: var(--env-ui-text-heading-font-family);
   line-height: 1;
   margin: 1.25rem 0;
}

.sv-theme-s-studenter .heading {
   margin-top: 0;
   margin-bottom: 1rem;
   font-size: 74px;
}

.sv-theme-s-studenter .subheading {
   margin-top: 3rem;
   font-size: 46px;
}

.sv-theme-s-studenter .subheading3 {
   margin-top: 2rem;
   font-size: 36px;
}

.sv-theme-s-studenter .sv-font-heading-font {
   font-family: var(--env-ui-text-heading-font-family);
   font-size: 120%;
}

/* List */

ul.sv-list-style-colored-list {
   padding-left: 0;
   list-style: none;
}
ul.sv-list-style-colored-list li {
  margin-top: .25rem;
  margin-left: 1.75rem;
  margin-bottom: 1rem;
  line-height: 1.4;
  max-width: 750px;
  font-size: 20px;
}
   
ul.sv-list-style-colored-list li:before {
    content: '';
    display: inline-block;
    border-radius: 100%;
    height: 25px;
    width: 25px;
    background: var(--env-color-brand);
    margin-top: -0.125rem;
    margin-right: 1.125rem;
    margin-left: -1.75rem;
    vertical-align: middle;
}

ul.sv-list-style-colored-list.sv-font-smaller-text li {
   font-size: 1rem;
   margin-top: 0;
   margin-bottom: 0.75rem;
}

ul.sv-list-style-colored-list.sv-font-smaller-text li:before {
   width: 18px;
   height: 18px;
}

/* Nyheter  - aktuellt */

.sv-theme-s-studenter .sv-archive-portlet.sv-decoration-slider > ul {
   display: flex;
   align-items: center;
   flex-wrap: nowrap;
   gap: 0;
}

.sv-theme-s-studenter .sv-archive-portlet > ul {
   display: flex;
   flex-wrap: wrap;
   gap: 1rem;
   row-gap: 0.5rem;
}

.sv-theme-s-studenter .sv-archive-portlet > ul > li:not(.slick-slide) {
   width: calc(100%);
}

@media(min-width: 600px) {
   .sv-theme-s-studenter .sv-archive-portlet > ul > li:not(.slick-slide) {
      width: calc(100%/2 - 1.75rem);
   }
}

@media(min-width: 1020px) {
   .sv-theme-s-studenter .sv-archive-portlet > ul > li:not(.slick-slide) {
      width: calc(100%/3 - 2rem);
   }
}

.sv-theme-s-studenter .sv-archive-portlet > ul > li,
.sv-theme-s-studenter .sv-archive-portlet li.slick-slide {
   display: flex;
   flex-direction: column;
   align-items: center;
   border-radius: var(--env-border-radius);
   overflow: hidden;
   padding: 0.625rem;
   padding-bottom: 1rem;
   background-color: #f6d3c4;
   color: var(--env-font-color);
   height: inherit;
}

.sv-theme-s-studenter .sv-archive-portlet ul.sv-defaultlist li > * {
   color: #000 !important;
}

.sv-theme-s-studenter .sv-archive-portlet ul.sv-defaultlist li > span {
   line-height: 1.15;
}

.sv-theme-s-studenter .sv-archive-portlet > ul > li  > *:not(img),
.sv-theme-s-studenter .sv-archive-portlet li.slick-slide > *:not(img) {
  width: 95%;
}

.sv-theme-s-studenter .sv-archive-portlet > ul > li img,
.sv-theme-s-studenter .sv-archive-portlet li.slick-slide img {
   width: 100%;
   border-radius: var(--env-border-radius);
   aspect-ratio: 1.2/1;
   object-fit: cover;
   margin-bottom: 1rem;
}

/* Header */

.sv-theme-s-studenter .sos-header {
   display: flex !important;
   align-items: center; 
   justify-content: space-between; 
   gap: 2rem;
   margin-bottom: 0 !important;
}

.sv-theme-s-studenter .sos-header .sv-marketplace-sitevision-mobile-menu dialog > div {
   padding-top: 90px;
}

.sv-theme-s-studenter .sos-header .sv-marketplace-sitevision-mobile-menu .env-button[aria-haspopup="dialog"] {
	color: #fff;
}

.sv-theme-s-studenter .sos-header .sv-marketplace-sitevision-mobile-menu .env-icon {
   width: 1.5em;
   height: 1.5em;
   margin: -0.75em 0 0 -0.75em !important;
}

.sv-theme-s-studenter .sos-header .sv-marketplace-sitevision-mobile-menu dialog > div > .env-button {
   top: 1rem;
}
.sv-theme-s-studenter .sos-header .sv-marketplace-sitevision-mobile-menu dialog > div > .env-button .env-icon {
   height: 1.125em;
   width: 1.125em;
   margin: -.5625em 0 0 -.5625em !important;
}

.sv-theme-s-studenter .sos-header .sv-marketplace-sitevision-mobile-menu li a {
   color: #000;
}

.sv-theme-s-studenter .sos-header.env-block-primary {
   --env-font-color: var(--env-element-font-color);
	--env-block-primary-font-color: var(--env-element-font-color);
	--env-block-primary-link-font-color: var(--env-element-font-color);
    --env-ui-text-overline-font-color: var(--env-block-primary-font-color);
    --env-ui-text-heading-font-color: var(--env-block-primary-font-color);
    --env-ui-text-sectionheading-font-color: var(--env-block-primary-font-color);
    --env-ui-text-subheading-font-color: var(--env-block-primary-font-color);
    --env-ui-text-caption-font-color: var(--env-block-primary-font-color);
    --env-link-font-color: var(--env-block-primary-link-font-color);
    --env-link-hover-font-color: var(--env-block-primary-link-hover-font-color);
    --env-link-text-decoration: var(--env-block-primary-link-text-decoration);
    --env-link-hover-text-decoration: var(--env-block-primary-link-hover-text-decoration);
    --env-link-secondary-font-color: var(--env-block-primary-font-color);
    --env-link-secondary-hover-font-color: var(--env-block-primary-link-hover-font-color);
    --env-link-secondary-text-decoration: var(--env-block-primary-link-text-decoration);
    --env-link-secondary-hover-text-decoration: var(--env-block-primary-link-hover-text-decoration);
    background-color: var(--env-background-color);
    color: var(--env-element-font-color);
}